Разработчики выпустили WordPress 4.7.2, в которой устраняются 3 бреши

Разработчики выпустили WordPress 4.7.2, в которой устраняются 3 бреши

Разработчики WordPress в четверг выпустили версию 4.7.2, она исправляет три уязвимости, затрагивающие более ранние версии системы управления контентом (CMS).

Одна из брешей, которую устраняет новый релиз, представляет собой возможность SQL-инъекции в классе WP_Query, который обрабатывает запросы постов в блоге WordPress.

Об уязвимости сообщил эксперт Мохаммад Джангда (Mohammad Jangda), она не затрагивает ядро WordPress. Разработчики WordPress внесли исправления кода в темах и плагинах, чтобы предотвратить эксплуатацию этой бреши.

Следующий недостаток является XSS-уязвимостью, его обнаружил Ян Данн (Ian Dunn) из команды безопасности WordPress. Данная брешь была обнаружена в таблице списка сообщений.

Несмотря на то, что ни одна из этих уязвимостей не получила статус критической, в официальном заявлении WordPress говорится – «злоумышленник может использовать некоторые из этих уязвимостей удаленно, чтобы получить контроль над атакуемым веб-сайтом».

WordPress 4.7.2 была выпущена менее чем через две недели после выпуска версии 4.7.1, в которой устранялись 8 уязвимостей.

WordPress по-прежнему является наиболее атакуемой CMS. Согласно отчету Sucuri, из всех взломанных в прошлом году сайтов, большинство было под управлением WordPress.

Подпишитесь
в Facebook

Я уже с вами